### Method

# ECal Component get_alarm

since: 3.34

#### Declaration [src]

    ECalComponentAlarm*
    e_cal_component_get_alarm (
      ECalComponent* comp,
      const gchar* auid
    )

#### Description [src]

Queries a particular alarm subcomponent of a calendar component. Free the returned pointer with e_cal_component_alarm_free(), when no longer needed.

Available since: 3.34

#### Parameters

`auid`

  Type: `const gchar*`

  Unique identifier for the sought alarm subcomponent.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentAlarm`

The alarm subcomponent that corresponds to the specified `auid`, or `NULL` if no alarm exists with that UID.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.